package br.com.api.knowledge;

import java.util.Collection;
import java.util.Map;

import org.drools.KnowledgeBase;
import org.drools.runtime.Environment;
import org.drools.runtime.StatefulKnowledgeSession;
import org.drools.runtime.process.ProcessInstance;
import org.drools.runtime.process.WorkItemHandler;

public interface EasyPieKnowledgeSessionInterface {

	Collection<ProcessInstance> getProcessIntances();

	StatefulKnowledgeSession newStatefulKnowledgeSession(KnowledgeBase kbase);
	
	StatefulKnowledgeSession newStatefulKnowledgeSession(KnowledgeBase kbase, Environment env);

	void registerWorkItemHandler(String name, WorkItemHandler workItemHandlerImplementation);

	ProcessInstance startProcess(String processPath);

	ProcessInstance startProcess(String processPath, Map<String, Object> params);

}
